$slim: 0.3em;

.pf1.sheet.koboldworks {
	&.statsheet {
		min-width: 320px;
		min-height: 380px;

		.gapped {
			gap: 3px;
		}

		form {
			overflow-y: scroll;

			& > .main-sheet {
				margin-left: 1.7em;
				margin-right: $slim;
			}

			h1,
			h2,
			h3,
			h4,
			h5 {
				border-bottom: 1px solid #782e22;
				display: flex;
				margin: 5px 0;
				align-items: center;
				gap: 0.2em;

				&:hover .hoverlight {
					visibility: visible;
				}
			}

			h4 {
				font-size: var(--font-size-16, 12pt);
				margin: 0;
				align-items: center;
				font-weight: bold;

				action {
					font-size: var(--font-size-12, 10pt);
					font-size: 10pt;
					line-height: 1;
					font-weight: normal;

					value {
						font-size: var(--font-size-11, 8pt);
						font-size: 8pt;
					}
				}
			}

			.vblock {
				display: flex;
				flex-flow: column;
				gap: 3px;
			}

			[data-book] {
				.spells {
					margin-left: 0.5em;
				}

				.dc {
					font-size: var(--font-size-11, 8pt);
				}
			}

			h5 {
				display: inline-block;
				border: unset;
				margin: 0;
				font-size: var(--font-size-13, 10pt);
			}

			.hoverlight {
				visibility: hidden;
				font-weight: normal;
				font-size: var(--font-size-12, 9pt);
				vertical-align: top;
				pointer-events: none;
				margin-left: 0.5em;
			}

			h1 {
				font-size: var(--font-size-20, 15pt);
				border-bottom-width: 2px;
			}

			h2 {
				font-size: var(--font-size-20, 15pt);
				background-color: rgba(0, 0, 0, 0.05);
			}

			h3 {
				font-size: var(--font-size-16, 12pt);
				//margin: 0.3rem 0 0.2rem 0;
				margin: 2px 0;
				font-weight: bold;

				&.sizer {
					&:hover {
						background-color: #ffd48d36;
						text-shadow: 0 0 5px #ffe400;

						&.expander:before,
						&.collapser:before {
							font-weight: 900;
							color: #4a6900;
							text-shadow: 0 0 1px #c8ff00;
						}
					}

					&.expander + ol .inverted-hide {
						display: block;
					}

					&.collapser + ol .inverted-hide {
						display: none;
					}

					&.expander:before,
					&.collapser:before {
						font-family: 'Font Awesome 5 Free';
						font-weight: normal;
						margin-right: 0.3em;
						// margin-left: 0.3em;
					}

					&.expander:before {
						content: '\f07b';
					}

					&.collapser:before {
						content: '\f07c';
					}
				}
			}

			label {
				font-weight: bold;
				padding: 0;
			}

			nav {
				position: fixed;

				ol {
					list-style: none;
					padding: 0;
					text-orientation: mixed;
					display: inline-flex;
					writing-mode: vertical-lr;

					li + li {
						padding-top: 0.5em;
					}
				}
			}

			.content-block {
				display: block;

				&.drop-recipient.hover {
					background-color: rgba(220, 160, 40, 0.2);
				}
			}

			.details {
				.senses {
					ul.subtypes {
						list-style: none;
						margin: 0;
						padding: 0;
						display: inline-block;

						li {
							display: inline-block;
						}
					}
				}
			}

			section {
				display: block;

				.inline {
					display: flex;
					flex-flow: row wrap;
					gap: 0.3em;
				}

				label {
					padding-right: 0.1em;
				}

				&.sub-block {
					display: flex;
					flex-direction: column;
				}

				&[name='spellcasting'] {
					gap: 0.5em;
				}

				&[name='equipment'] {
					.items action.empty-stack {
						text-decoration: line-through;
						filter: contrast(0.7);
						text-shadow: 0 0 3px #ff330091;
					}
				}

				&[name='spellcasting'] {
					.spells {
						.slots {
							font-weight: normal;
							color: #5c5855;

							.left {
								font-weight: bold;
							}

							&.inactive {
								font-size: var(--font-size-11, 8pt);
							}
						}
					}
				}

				&.book-level {
					display: inline-flex;
					flex-flow: wrap;
				}

				&.joined {
					display: inline;
				}
			}

			.joined section {
				display: inline;
			}

			.data-block {
				margin-left: 0.5em;
				display: flex;
				flex-flow: column wrap;

				&.inline {
					display: inline-flex;
				}

				&.block {
					display: flex;
					align-items: center;
					flex-flow: row wrap;
				}
			}

			action {
				cursor: pointer;
			}

			action,
			value {
				border-radius: 3px;
				white-space: pre-wrap;
			}

			value {
				&.highlight {
					text-decoration: underline rgba(250, 120, 0, 0.6);
				}

				&[data-category='iteratives'],
				&[data-category='damage'],
				&[data-category='uses'],
				&[data-category='dc'],
				&[data-category='skill'] {
					font-size: var(--font-size-11, 8pt);
					// margin-left: 0.1em;
				}

				&[data-category='damage'] {
					background-color: #ffb92838;
				}
			}

			.box {
				background-color: rgba(0, 0, 0, 0.05);
			}

			.box,
			action:not(.box) > value:not(.box) {
				//border: 1px solid rgba(0, 0, 0, 0.2);
				outline: hsl(34deg 5% 73%) 1px solid;
				padding: 0 3px;
				//line-height: 1;
			}

			.values value {
				//line-height: 1.3;
			}

			action value {
				line-height: 1;
			}

			.spacer {
				flex: 1;
				pointer-events: none;
			}

			action {
				display: inline-flex;
				align-items: center;
				gap: 3px;

				&[data-category='add'] {
					font-size: 12px;
					vertical-align: middle;
					line-height: 1.3;
					margin-bottom: 1px;
					border-width: 1px;
				}

				background-color: rgba(20, 150, 255, 0.05);
				/*text-shadow: 0 0 3px #7bd2ff;*/

				> value {
					background-color: rgba(20, 150, 255, 0.05);
					padding: 0 1px;
					line-height: 1.3;
				}

				.roll-button {
					width: 24px;
					height: 24px;
					background-image: url(../../../icons/d20black.svg);
				}

				&.edit-only {
					background-color: unset;
				}

				&.no-charges {
					filter: grayscale(1);

					.name {
						text-decoration: line-through;
					}
				}

				&.button {
					display: block;
					border-style: outset;
					border-width: 2px;
					background-color: #aba0866b;
					border-radius: 5px;
					text-align: center;

					&.wide {
						flex: 1 100%;
					}

					&.inline {
						display: inline;
						font-weight: normal;
						font-size: 12px;
						border-radius: 0.5em;
						vertical-align: bottom;
						padding: 0 $slim;
					}
				}

				/* Hover actions that aren't edit only */
				&:not(.edit-only):hover {
					background-color: rgb(55, 79, 202);
					color: white;
					text-shadow: 0 0 3px rgb(90, 255, 235);
					filter: drop-shadow(0 0 5px blue);

					& value {
						background-color: rgb(16, 43, 175);
						filter: drop-shadow(0 0 5px aquamarine);
					}
				}

				/* Special color for things marked as quick actions */
				&.quick-action {
					background-color: rgba(255, 165, 0, 0.05);
					text-shadow: 0 0 3px rgba(255, 255, 0, 0.4);
				}

				& > value {
					&:before {
						/*
				font-family: "Font Awesome 5 Free";
				content: "\f522";
				vertical-align: middle;
				font-weight: 900;
				padding-right: 3px;
				text-rendering: auto;
				*/
					}
				}

				&.inactive {
					background-color: unset;
					filter: drop-shadow(0 0 3px red) contrast(0.7);
					text-shadow: none;
					text-decoration: line-through;

					&:hover {
						background-color: #942b2b;
						filter: drop-shadow(0 0 3px red);
					}
				}
			}

			.character-name {
				flex: 1 12em;

				input {
					font-size: inherit;
					font-weight: inherit;
					flex: 1 16em;
					width: 100%;
					background: unset;
					border: unset;

					&:hover {
						background-color: rgba(255, 180, 120, 0.3);
					}
				}
			}

			[name='minibox'] {
				max-width: 8em;
				flex: 0 6em;

				.hd-box {
					border: 1px solid #00000070;
					border-radius: 7px;
					padding: 3px;
					align-items: center;

					.field {
						flex-flow: nowrap;

						label {
							font-weight: bold;
							align-self: center;
							flex: 0 3em;
						}

						value.total {
							text-align: center;
							align-self: center;
							flex: 0 3em;
							line-height: 1.1em;
						}
					}
				}

				.actions {
					margin-top: $slim;

					action > i {
						vertical-align: middle;
					}

					action:hover {
						background-color: #2f842f;
					}
				}
			}

			.editor {
				height: 16em;
				border: 1px solid rgba(60, 30, 10, 0.5);
				margin-right: $slim;
				padding: 0.1em 0.35em;
				border-radius: 0.5em;
			}

			ol {
				list-style: none;
				margin: 0;
				padding: 0;
				display: inline-block;
				flex-wrap: wrap;

				li {
					display: inline-flex;
					white-space: pre-wrap;

					//padding: 5px 0;

					&:hover {
						background-color: hsl(30deg 11% 74%);
						border-radius: 0 5px 5px 0;
					}
				}

				&.skill-list,
				&.item-list {
					&:not(.inline-list) {
						margin-left: 0.5em;
					}
				}

				.hidden {
					display: none;
				}

				.unhidden {
					filter: hue-rotate(198deg) contrast(0.7);
					//filter: contrast(0.7);
				}

				&.items,
				&.values {
					li {
						&:after {
							content: ', ';
							white-space: pre;
							//white-space: normal;
						}

						&:last-of-type:after {
							content: '';
						}
					}

					&.slashed {
						li {
							&:after {
								content: ' / ';
								//white-space: normal;
							}

							&:last-of-type:after {
								content: '';
							}
						}
					}
				}

				&[name='ability-scores'] {
					li {
						&:after {
							content: '; ';
							white-space: pre;
						}

						&:last-child:after {
							content: '';
						}
					}
				}
			}
		}
	}
}
